Bug 27250 - Geolocation callback function IDL files are superfluous
Summary: Geolocation callback function IDL files are superfluous
Status: RESOLVED FIXED
Alias: None
Product: WebKit
Classification: Unclassified
Component: WebCore Misc. (show other bugs)
Version: 528+ (Nightly build)
Hardware: All All
: P2 Normal
Assignee: Nobody
URL:
Keywords:
Depends on:
Blocks:
 
Reported: 2009-07-14 02:59 PDT by Steve Block
Modified: 2009-08-07 12:27 PDT (History)
6 users (show)

See Also:


Attachments
Patch for bug 27250 (7.95 KB, patch)
2009-07-24 06:43 PDT, Steve Block
eric: review-
Details | Formatted Diff | Diff
Patch for bug 27250 (8.58 KB, patch)
2009-08-07 04:51 PDT, Steve Block
abarth: commit-queue+
Details | Formatted Diff | Diff

Note You need to log in before you can comment on or make changes to this bug.
Description Steve Block 2009-07-14 02:59:25 PDT
The IDL files for the callback functions used in Geolocation (WebCore/page/PositionCallback.idl and WebCore/page/PositionErrorCallback.idl) appear to be superfluous.

The objects for these callbacks are created 'manually' in WebCore/bindings/js/JSGeolocationCustom.cpp. It looks like the IDL files can be removed.
Comment 1 Steve Block 2009-07-24 06:43:16 PDT
Created attachment 33433 [details]
Patch for bug 27250
Comment 2 Oliver Hunt 2009-07-25 02:42:51 PDT
Sam should look at this patch, i'm not convinced that these should be removed -- that they are *currently* created manually does not necessarily imply that the idl shouldn't exist.
Comment 3 David Levin 2009-07-28 11:51:57 PDT
Added Sam to cc per Oliver's comment.
Comment 4 Eric Seidel (no email) 2009-07-31 19:44:34 PDT
Comment on attachment 33433 [details]
Patch for bug 27250

Because we implement them via custom files?   GenerateConstructor is going to change what's exposed on the window object, no?
Comment 5 Steve Block 2009-08-03 08:42:21 PDT
> Because we implement them via custom files?
Yes

> GenerateConstructor is going to change what's exposed on the window object, no?
I see, so GenerateConstructor provides a type and prototype for PositionCallback - http://lists.w3.org/Archives/Public/www-archive/2007May/0068.html

But it looks like these shouldn't be present for the callbacks. See
http://www.w3.org/TR/geolocation-API/#geolocation_interface and http://www.w3.org/TR/WebIDL/#NoInterfaceObject.
Comment 6 Eric Seidel (no email) 2009-08-06 19:04:46 PDT
Comment on attachment 33433 [details]
Patch for bug 27250

Please add those comments above to the ChangeLog, with spec references.
Comment 7 Steve Block 2009-08-07 04:51:51 PDT
Created attachment 34267 [details]
Patch for bug 27250

Updated ChangeLog as requested.
Comment 8 Adam Barth 2009-08-07 12:27:29 PDT
Comment on attachment 34267 [details]
Patch for bug 27250

Clearing review flag on attachment: 34267

Committing to http://svn.webkit.org/repository/webkit/trunk ...
	D	WebCore/page/PositionCallback.idl
	D	WebCore/page/PositionErrorCallback.idl
	M	WebCore/ChangeLog
	M	WebCore/DerivedSources.make
	M	WebCore/WebCore.gypi
	M	WebCore/WebCore.xcodeproj/project.pbxproj
Committed r46906
	M	WebKitTools/DumpRenderTree/qt/DumpRenderTree.cpp
	M	WebKitTools/ChangeLog
r46905 = de57f68b5591e881375ef49ffc6005fdca83d648 (trunk)
	M	WebCore/ChangeLog
	D	WebCore/page/PositionErrorCallback.idl
	D	WebCore/page/PositionCallback.idl
	M	WebCore/WebCore.gypi
	M	WebCore/DerivedSources.make
	M	WebCore/WebCore.xcodeproj/project.pbxproj
r46906 = 1a765091c3a1e8fe37ec08c9084c5db5a372e6c9 (trunk)
First, rewinding head to replay your work on top of it...
Nothing to do.
http://trac.webkit.org/changeset/46906
Comment 9 Adam Barth 2009-08-07 12:27:35 PDT
All reviewed patches have been landed.  Closing bug.